> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openfda/drug/approvals

> Get a Drugs@FDA approval record by its FDA application number

**Price:** 1 credit

**⚠️ Common errors:** 412: Application not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/openfda/drug/approvals
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openfda/drug/approvals:
    post:
      tags:
        - /openfda/drug
      summary: /openfda/drug/approvals
      description: |-
        Get a Drugs@FDA approval record by its FDA application number

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Application not found
      operationId: __api_openfda_drug_approvals_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenfdaDrugApprovalsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenfdaDrugApproval'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenfdaDrugApprovalsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
          minLength: 1
      type: object
      required:
        - id
    OpenfdaDrugApproval:
      properties:
        '@type':
          type: string
          default: OpenfdaDrugApproval
        application_number:
          type: string
        sponsor_name:
          anyOf:
            - type: string
            - type: 'null'
        products:
          items:
            $ref: '#/components/schemas/OpenfdaApprovalProduct'
          type: array
          default: []
        submissions:
          items:
            $ref: '#/components/schemas/OpenfdaApprovalSubmission'
          type: array
          default: []
        openfda:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaBlock'
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - application_number
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenfdaApprovalProduct:
      properties:
        '@type':
          type: string
          default: OpenfdaApprovalProduct
        product_number:
          anyOf:
            - type: string
            - type: 'null'
        brand_name:
          anyOf:
            - type: string
            - type: 'null'
        dosage_form:
          anyOf:
            - type: string
            - type: 'null'
        route:
          anyOf:
            - type: string
            - type: 'null'
        marketing_status:
          anyOf:
            - type: string
            - type: 'null'
        te_code:
          anyOf:
            - type: string
            - type: 'null'
        reference_drug:
          anyOf:
            - type: string
            - type: 'null'
        reference_standard:
          anyOf:
            - type: string
            - type: 'null'
        active_ingredients:
          items:
            $ref: '#/components/schemas/OpenfdaNdcActiveIngredient'
          type: array
          default: []
      type: object
    OpenfdaApprovalSubmission:
      properties:
        '@type':
          type: string
          default: OpenfdaApprovalSubmission
        submission_type:
          anyOf:
            - type: string
            - type: 'null'
        submission_number:
          anyOf:
            - type: string
            - type: 'null'
        submission_status:
          anyOf:
            - type: string
            - type: 'null'
        submission_status_at:
          anyOf:
            - type: integer
            - type: 'null'
        review_priority:
          anyOf:
            - type: string
            - type: 'null'
        submission_class_code:
          anyOf:
            - type: string
            - type: 'null'
        submission_class_code_description:
          anyOf:
            - type: string
            - type: 'null'
        application_docs:
          items:
            $ref: '#/components/schemas/OpenfdaApprovalDoc'
          type: array
          default: []
      type: object
    OpenfdaBlock:
      properties:
        '@type':
          type: string
          default: OpenfdaBlock
        application_number:
          items:
            type: string
          type: array
          default: []
        brand_name:
          items:
            type: string
          type: array
          default: []
        generic_name:
          items:
            type: string
          type: array
          default: []
        manufacturer_name:
          items:
            type: string
          type: array
          default: []
        product_ndc:
          items:
            type: string
          type: array
          default: []
        package_ndc:
          items:
            type: string
          type: array
          default: []
        product_type:
          items:
            type: string
          type: array
          default: []
        route:
          items:
            type: string
          type: array
          default: []
        substance_name:
          items:
            type: string
          type: array
          default: []
        rxcui:
          items:
            type: string
          type: array
          default: []
        unii:
          items:
            type: string
          type: array
          default: []
        spl_id:
          items:
            type: string
          type: array
          default: []
        spl_set_id:
          items:
            type: string
          type: array
          default: []
        nui:
          items:
            type: string
          type: array
          default: []
        pharm_class_cs:
          items:
            type: string
          type: array
          default: []
        pharm_class_epc:
          items:
            type: string
          type: array
          default: []
        pharm_class_moa:
          items:
            type: string
          type: array
          default: []
        pharm_class_pe:
          items:
            type: string
          type: array
          default: []
        is_original_packager:
          items:
            type: string
          type: array
          default: []
        device_class:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        medical_specialty_description:
          anyOf:
            - type: string
            - type: 'null'
        regulation_number:
          anyOf:
            - type: string
            - type: 'null'
        fei_number:
          items:
            type: string
          type: array
          default: []
        registration_number:
          items:
            type: string
          type: array
          default: []
        k_number:
          items:
            type: string
          type: array
          default: []
        pma_number:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OpenfdaNdcActiveIngredient:
      properties:
        '@type':
          type: string
          default: OpenfdaNdcActiveIngredient
        name:
          type: string
        strength:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    OpenfdaApprovalDoc:
      properties:
        '@type':
          type: string
          default: OpenfdaApprovalDoc
        id:
          anyOf:
            - type: string
            - type: 'null'
        doc_url:
          type: string
        doc_type:
          anyOf:
            - type: string
            - type: 'null'
        date_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - doc_url
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````